Fedora Core 4 Test Update: kernel-2.6.15-1.1824_FC4

David Timms dtimms at bigpond.net.au
Sat Jan 14 05:28:48 UTC 2006


Dave Jones wrote:

>Fedora Test Update Notification
>...  http://download.fedora.redhat.com/pub/fedora/linux/core/updates/testing/4/
>  
>
The i686 version installs and boots/runs fine on an Athlon 2600+, Nforce2 asus a7nx8, msi geforce fx5600 (VTDR). mozilla/openoffice/limewire/azureus/gedit/gftp run no problems :)
---
Is there a suitable method for rpm dependencies (or other capabilities) to force installation of kernel-devel of the same kernel version being installed when there is already -devel rpm installed ? 

This could make it less of a hassle for users of the nvidia binary module for graphics, and for audio and network drivers. Without the correct -devel, you cant run the nvidia compiler/installer for either of these drivers, and because the machine has booted with the new kernel, the network interface wont work. The workaround is to boot older kernel 2, get/intall the -devel and then re-run the nvidia installers :{ perhaps there is a nice way to cause the -devel package to get installed ? (other than waiting for others to repackage the nvidia driver as an rpm).




More information about the test mailing list